Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### shorten()

Examples

    String[] sa1 = { "OH ", "NY ", "CA "};
    String[] sa2 = shorten(sa1);
    println(sa1);  // sa1 still contains OH, NY, CA
    println(sa2);  // sa2 now contains OH, NY

Description | Decreases an array by one element and returns the shortened array. When using an array of objects, the data returned from the function must be cast to the object array's data type. For example: SomeClass[] items = (SomeClass[]) shorten(originalArray).

Syntax

    shorten(array)

Parameters

array | boolean[], byte[], char[], int[], float[], or String[], or an array of objects

Returns | Array (the same datatype as the input)
Usage | Web & Application
Related | append() expand()

Updated on August 30, 2010 04:29:39pm EDT